---
- hosts: localhost
  vars:
    tomcat_home: /home/train/Downloads/apache-tomcat-9.0.30
    artifact_id: HelloWeb
    tomcat_war_path: "{{ tomcat_home }}/webapps/{{ artifact_id }}.war"
    first_container_name: tomcat1
    second_container_name: tomcat2
  tasks:
    - name: Define variable in task.
      shell: cat filename.txt
      register : BUILD_LATEST
    - debug:
        var: BUILD_LATEST.stdout_lines[0]
    - file:
       path: "{{ tomcat_war_path }}"
       state: absent
       name: "remove existing war"
    - get_url:
       dest: "{{ tomcat_war_path }}"
       force: true
       url: "{{ BUILD_LATEST.stdout_lines[0]}}"
#    - name: Copy the build to the docker staging server {{ first_container_name }}
#      shell: "docker cp {{ tomcat_war_path }} {{ first_container_name }}:/usr/local/tomcat/webapps"
#    - name: "Copy the build to the docker staging server {{ second_container_name }}
#      shell: "docker cp {{ tomcat_war_path }} {{ second_container_name }}:/usr/local/tomcat/webapps"
